Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 599416 (CVE-2016-5199, CVE-2016-5200, CVE-2016-5201, CVE-2016-5202)

Summary: <www-client/chromium-54.0.2840.100: multiple vulnerabilities
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: major CC: chromium
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://googlechromereleases.blogspot.it/2016/11/stable-channel-update-for-desktop_9.html
Whiteboard: A2 [glsa]
Package list:
Runtime testing required: ---

Description Agostino Sarubbo gentoo-dev 2016-11-10 16:56:24 UTC
From ${URL} :

The stable channel has been updated to 54.0.2840.99 for Windows and 54.0.2840.98 for Mac. Linux has additional changes in the pipeline and is planned to be pushed tomorrow.  For all platforms this will roll out over the coming days/weeks.
 Security Fixes and Rewards

 Note: Access to bug details and links may be kept restricted until a majority of users are updated with a fix. We will also retain restrictions if the bug exists in a third party library that other projects similarly depend on, but haven’t yet fixed.
This update includes 4 security fixes. Below, we highlight fixes that were contributed by external researchers. Please see the Chrome Security Page for more information.
[$5500][643948] High CVE-2016-5199: Heap corruption in FFmpeg. Credit to Paul Mehta
[$5000][658114] High CVE-2016-5200: Out of bounds memory access in V8. Credit to Choongwoo Han
[$1000][660678] Medium CVE-2016-5201: Info leak in extensions. Credit to Rob Wu


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Mike Gilbert gentoo-dev 2016-11-10 18:15:41 UTC
> Linux has additional changes in the pipeline and is planned to be pushed tomorrow.

Setting status as [upstream].
Comment 2 Agostino Sarubbo gentoo-dev 2016-11-11 09:19:27 UTC
54.0.2840.100 available now.
Comment 3 Mike Gilbert gentoo-dev 2016-11-11 18:24:41 UTC
Added to the repo. Feel free to stabilize.
Comment 4 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-11-12 00:49:26 UTC
@arches, please stabilize:

=www-client/chromium-54.0.2840.100
Comment 5 Agostino Sarubbo gentoo-dev 2016-11-13 13:08:27 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2016-11-13 13:10:16 UTC
x86 stable.

Maintainer(s), please cleanup.
Security, please add it to the existing request, or file a new one.
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2016-11-22 11:39:44 UTC
This issue was resolved and addressed in
 GLSA 201611-16 at https://security.gentoo.org/glsa/201611-16
by GLSA coordinator Aaron Bauman (b-man).